=== debian/changelog ===
miano (0.3.2) unstable; urgency=low

  * Updated version with mp3 samples

 -- Mikko Antila <mikko.antila@gmail.com>  Sat, 22 Jan 2011 00:18:49 +0200

miano (0.3.1-fremantle1) unstable; urgency=low

  * Initial release for fremantle

 -- Mikko Antila <mikko.antila@gmail.com>  Wed, 05 May 2010 23:54:04 +0300
