=== debian/control ===
Source: miano
Section: optional
Priority: extra
Maintainer: Mikko Antila <mikko.antila@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libgstreamer0.10-dev, gnupg
Standards-Version: 3.8.3

Package: miano
Architecture: any
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=browse&group_id=735&atid=2752
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Miano is keyboard music application
 Miano is keyboard music application using Qt and gstreamer
