## miano 0.3.3

=== debian/changelog ===
miano (0.3.3) unstable; urgency=low

  * Fixed wrong paths

 -- Mikko Antila <mikko.antila@gmail.com>  Sat, 22 Jan 2011 22:33:26 +0200
